package model

type QrcodeBatch struct {
	Id          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Name        string `json:"name" xorm:"not null default '' comment('名称') VARCHAR(255)"`
	TotalNum    int    `json:"total_num" xorm:"not null default 0' comment('总数量') INT(11)"`
	TotalAmount string `json:"total_amount" xorm:"not null default 0.00 comment('总金额') DECIMAL(6,2)"`
	State       int32  `json:"state" xorm:"not null default 1 comment('状态(1:使用中 2:使用完 3:已过期 4:已作废)') TINYINT(1)"`
	ExpireDate  string `json:"expire_date" xorm:"not null default 0000-00-00 comment('截止日期') CHAR(50)"`
	Memo        string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	CreateAt    string `json:"create_at" xorm:"not null default CURRENT_TIMESTAMP comment('创建时间') TIMESTAMP"`
	UpdateAt    string `json:"update_at" xorm:"not null default CURRENT_TIMESTAMP comment('更新时间') TIMESTAMP"`
}
