package svc

import (
	"applet/app/db/model"
	"applet/app/md"
	"applet/app/utils"
	"applet/app/utils/cache"
	"applet/app/utils/logx"
)

func HandleLoginToken(cacheKey string, admin *model.Admin) (string, error) {
	// 获取之前生成的token
	token, err := cache.GetString(cacheKey)
	if err != nil {
		_ = logx.Error(err)
	}
	// 没有获取到
	if err != nil || token == "" {
		// 生成token
		token, err = utils.GenToken(admin.AdmId, admin.Username)
		if err != nil {
			return "", err
		}
		// 缓存token
		_, err = cache.SetEx(cacheKey, token, md.JwtTokenCacheTime)
		if err != nil {
			return "", err
		}
		return token, nil
	}

	return token, nil
}
